Bug 1420183 - [3.3] Router deployment failed
Summary: [3.3] Router deployment failed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.1
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 3.3.1
Assignee: Troy Dawson
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 04:14 UTC by Gaoyun Pei
Modified: 2017-02-13 23:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-13 23:14:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gaoyun Pei 2017-02-08 04:14:56 UTC
Description of problem:
After ocp-3.3 env installation, router pod didn't get running.

Version-Release number of selected component (if applicable):
ose-haproxy-router:v3.3.1.13

How reproducible:
always

Steps to Reproduce:
[root@ip-172-18-10-168 ~]# oc get pod |grep router
router-1-deploy            0/1       Error              0          20m
router-2-deploy            1/1       Running            0          3m
router-2-m53x1             0/1       CrashLoopBackOff   5          3m

[root@ip-172-18-10-168 ~]# oc logs router-2-m53x1
I0208 03:08:53.479591       1 router.go:161] Router is including routes in all namespaces
E0208 03:08:54.014997       1 ratelimiter.go:52] error creating config file /var/lib/haproxy/conf/cert_config.map: open /var/lib/haproxy/conf/cert_config.map: permission denied


Actual results:


Expected results:


Additional info:

Comment 1 Troy Dawson 2017-02-09 18:04:58 UTC
All the haproxy stuff has been merged and should be correct.
openshift3/ose-haproxy-router:v3.3.1.13-2
This has been pushed to all areas that can be tested.

Comment 2 Gaoyun Pei 2017-02-11 15:46:34 UTC
Verify this bug with latest openshift3/ose-haproxy-router:v3.3.1.13 image, image id:        726deac0cf76.

Router pod could be running now
[root@ip-172-18-2-187 ~]# oc get pod
NAME                       READY     STATUS    RESTARTS   AGE
docker-registry-2-vjz5j    1/1       Running   0          1h
registry-console-1-oei4g   1/1       Running   0          1h
router-1-9hz9g             1/1       Running   0          1h

Comment 3 Troy Dawson 2017-02-13 23:14:31 UTC
This image was never released to customers.  Closing.


Note You need to log in before you can comment on or make changes to this bug.